// file: $isip/class/algo/Connection/conn_00.cc
// version: $Id: conn_00.cc 8264 2002-07-02 00:52:25Z picone $
//

// isip include files
//
#include "Connection.h"

//-----------------------------------------------------------------------------
//
// we define non-integral constants at the end of class definition for
// templates (for non-templates these are defined in the default constructor)
//      
//-----------------------------------------------------------------------------

// constants: class name
//
const String Connection::CLASS_NAME(L"Connection");

// constants: i/o related constants
//
const String Connection::DEF_PARAM(L"");
const String Connection::PARAM_ALGORITHM(L"algorithm");
const String Connection::PARAM_IMPLEMENTATION(L"implementation");
const String Connection::PARAM_CHANNEL(L"channel");

// constants: NameMap(s) for the enumerated values
//
const NameMap Connection::ALGO_MAP(L"CHANNEL, STREAM");
const NameMap Connection::IMPL_MAP(L"CONCATENATE, INTERLEAVE, SELECT");

// static instantiations: memory manager
//
MemoryManager Connection::mgr_d(sizeof(Connection), Connection::name());
